// event.c
// god forbid sdl

/* include */
#include "include/globl.h"
#include "include/engine.h"

/* variables */
//null for right now :p

/* forward declairations */

// its like a blowie but 
// instead of bill clinton its the compiler
//
// ^^ note: i had to break it into two lines

/*
void ev_keydown(void);
void ev_keyup(void);
void ev_mmove(void);
void ev_mbdown(void);
*/

/* real shit? */
void ev_handle(void) {
	while (SDL_PollEvent(&event)) {
		switch (event.type) {
			case SDL_QUIT:
				run = false;
				break;
			case SDL_KEYDOWN:
				//ev_keydown();
				break;
			case SDL_KEYUP:
				break; //fuck you
			case SDL_MOUSEMOTION:
				//ev_mmove();
				break;
			case SDL_MOUSEBUTTONDOWN:
				//ev_mbdown();
				break;
			default: //dunno why we have this here
				break;
		}
	}
} //ev_handle
/*
void ev_keydown(void) {}
void ev_keyup(void) {}
void ev_mmove(void) {}
void ev_mbdown(void) {}
*/
